<?php
function naturalspa_kirki_config() {
	return 'naturalspa_kirki_config';
}

function naturalspa_defaults( $key = '' ) {
	$defaults = array();

	$defaults['predefined-skin'] = 'pink';
	$defaults['use-predefined-skin'] 	= '1';

	$defaults['site-responsive'] = '1';
	$defaults['site-layout'] = 'wide';

	$defaults['site_icon'] = get_template_directory_uri().'/images/favicon.ico';

	# use-custom-logo
	$defaults['use-custom-logo'] = '1';
	$defaults['primary-color']      = '#ff508b';
	$defaults['secondary-color']    = '#ff377a';
	$defaults['tertiary-color']     = '#ff6a9c';
	$defaults['body-bg-color']      = '#ffffff';
	$defaults['body-content-color'] = '#333333';
	$defaults['body-a-color']       = '#ff508b';
	$defaults['body-a-hover-color'] = '#333333';

	# custom-logo
	$defaults['custom-logo'] = get_template_directory_uri().'/images/logo.png';

	# custom-logo
	$defaults['custom-dark-logo'] = get_template_directory_uri().'/images/light-logo.png';

	$defaults['header-type'] = 'fullwidth-header';
	$defaults['enable-sticy-nav'] = '0';
	$defaults['header-position'] = 'on slider';
	$defaults['enable-header-darkbg'] = '0';

	$defaults['enable-header-left-content'] = '0';
	$defaults['enable-header-right-content'] = '0';
	$defaults['enable-top-bar-content'] = '0';
	$defaults['use-site-loader'] = '1';
	

	#Breadcrumb
		$defaults['show-breadcrumb'] = '1';
		$defaults['breadcrumb-delimiter'] = 'fa default';
		$defaults['breadcrumb-style'] = 'breadcrumb-left';
		$defaults['customize-breadcrumb-title-typo'] = '0';
		$defaults['breadcrumb-title-typo'] = array( 'font-family' => 'PT Serif',
			'variant' => 'regular',
			'subsets' => array( 'latin-ext' ),
			'font-size' => '20px',
			'line-height' => '1.5',
			'letter-spacing' => '0',
			'color' => '#333333',
			'text-transform' => 'none' );
		$defaults['customize-breadcrumb-typo'] = '0';
		$defaults['breadcrumb-typo'] = array( 'font-family' => 'Lato',
			'variant' => 'regular',
			'subsets' => array( 'latin-ext' ),
			'font-size' => '20px',
			'line-height' => '1.5',
			'letter-spacing' => '0',
			'color' => '#333333',
			'text-transform' => 'none' );
		
	/**
	 * MENU
	 */
	$defaults['sub-menu-box-h-shadow'] =  5;
	$defaults['sub-menu-box-v-shadow'] =  5;
	$defaults['sub-menu-box-blur-shadow'] =  5;
	$defaults['sub-menu-box-spread-shadow'] =  5;

	/*
	 * FOOTER SETTINGS
	 */

		# show-footer
		$defaults['show-footer'] = '1';

		# footer-columns
		$defaults['footer-columns'] = '13';

		$defaults['footer-sociables'] = array( 'delicious', 'dribbble', 'facebook');

		# show-footer
		$defaults['enable-footer-darkbg'] = '0';

		# customize-footer-title-typo
		$defaults['customize-footer-title-typo'] = '0';

		#footer-title-typo
		$defaults['footer-title-typo'] = array( 'font-family' => 'PT Serif',
		'variant' => 'regular',
		'subsets' => array( 'latin-ext' ),
		'font-size' => '20px',
		'line-height' => '1.5',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'unset',
		'text-transform' => 'none' );

		# customize-footer-content-typo
		$defaults['customize-footer-content-typo'] = '0';

		#footer-content-typo
		$defaults['footer-content-typo'] = array( 'font-family' => 'Lato',
			'variant' => 'regular',
			'subsets' => array( 'latin-ext' ),
			'font-size' => '16px',
			'line-height' => '28px',
			'letter-spacing' => '0',
			'color' => '#333333',
			'text-align' => 'unset',
			'text-transform' => 'none' );	

		# show-copyright-text
		$defaults['show-copyright-text'] = '1';

		# copyright-text
		$defaults['copyright-text'] = '&copy; 2017 Natural Spa Theme, Made by <a href="http://themeforest.net/user/designthemes">DesignThemes</a>';

		# enable-copyright-darkbg
		$defaults['enable-copyright-darkbg'] = '0';

		# customize-footer-copyright-text-typo
		$defaults['customize-footer-copyright-text-typo'] = '1';

		# footer-copyright-text-typo
		$defaults['footer-copyright-text-typo'] = array( 'font-family' => 'Lato',
			'variant' => 'regular',
			'subsets' => array( 'latin-ext' ),
			'font-size' => '14px',
			'line-height' => '28px',
			'letter-spacing' => '0',
			'color' => '#333333',
			'text-align' => 'unset',
			'text-transform' => 'none' );

		# customize-footer-menu-typo
		$defaults['customize-footer-copyright-text-typo'] = '0';

		# footer-menu-typo
		$defaults['footer-menu-typo'] = array( 'font-family' => 'Lato',
			'variant' => 'regular',
			'subsets' => array( 'latin-ext' ),
			'font-size' => '14px',
			'line-height' => '28px',
			'letter-spacing' => '0',
			'color' => '#333333',
			'text-align' => 'unset',
			'text-transform' => 'none' );

	# copyright-next
	$defaults['copyright-next'] = 'disable';


	# WooCommerce
	$defaults['product-style'] = 'type16';
	$defaults['product-per-page'] = '12';
	$defaults['product-per-row'] = 'one-third-column';

	$defaults['product-page-layout'] = 'content-full-width';
	$defaults['show-product-page-left-sidebar'] = '1';
	$defaults['show-product-page-right-sidebar'] = '1';

	$defaults['product-category-page-layout'] = 'content-full-width';
	$defaults['show-product-category-page-left-sidebar'] = '1';
	$defaults['show-product-category-page-right-sidebar'] = '1';	

	$defaults['product-tag-page-layout'] = 'content-full-width';
	$defaults['show-product-tag-page-left-sidebar'] = '1';
	$defaults['show-product-tag-page-right-sidebar'] = '1';

	# Social
	$defaults['social-facebook'] = '#';
	$defaults['social-twitter'] = '#';
	$defaults['social-google-plus'] = '#';
	$defaults['social-instagram'] = '#';

	# Typography
	$defaults['menu-typo'] = array(
		'font-family' => 'Lato',
		'font-size' => '14px',
		'line-height' => '1.5',
		'letter-spacing' => '0.5px',
		'color' => '#333333',
		'text-transform' => 'none'
	);

	$defaults['body-content-typo'] = array(
		'font-family' => "'Lato', sans-serif",
		'font-size' => '16px',
		'line-height' => '28px',
		'letter-spacing' => '0',
		'variant' => 'regular',
		'color' => '#333333'	
	);
	
	$defaults['customize-body-h1-typo'] = '1';	
	$defaults['h1'] = array(
		'font-family' => 'PT Serif',
		'font-size' => '36px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);

	$defaults['customize-body-h2-typo'] = '1';
	$defaults['h2'] = array(
		'font-family' => 'PT Serif',
		'font-size' => '32px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	
	$defaults['customize-body-h3-typo'] = '1';
	$defaults['h3'] = array(
		'font-family' => 'PT Serif',
		'font-size' => '28px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	
	$defaults['customize-body-h4-typo'] = '1';
	$defaults['h4'] = array(
		'font-family' => 'PT Serif',
		'font-size' => '24px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);
	
	$defaults['customize-body-h5-typo'] = '1';
	$defaults['h5'] = array(
		'font-family' => 'PT Serif',
		'font-size' => '20px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);

	$defaults['customize-body-h6-typo'] = '1';
	$defaults['h6'] = array(
		'font-family' => 'PT Serif',
		'font-size' => '18px',
		'line-height' => 'normal',
		'letter-spacing' => '0',
		'color' => '#333333',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);	
	
	$defaults['customize-body-content-typo'] = '1';
	$defaults['body-content-typo'] = array(
		'font-family' => 'Lato',
		'variant' => 'normal',
		'font-size' => '16px',
		'line-height' => '28px',
		'color' => '#333',
		'text-align' => 'unset',
		'text-transform' => 'none'
	);

	if( !empty( $key ) && array_key_exists( $key, $defaults) ) {
		return $defaults[$key];
	}

	return '';
}

function naturalspa_image_positions() {

	$positions = array( "top left" => esc_attr__('Top Left','naturalspa'),
		"top center"    => esc_attr__('Top Center','naturalspa'),
		"top right"     => esc_attr__('Top Right','naturalspa'),
		"center left"   => esc_attr__('Center Left','naturalspa'),
		"center center" => esc_attr__('Center Center','naturalspa'),
		"center right"  => esc_attr__('Center Right','naturalspa'),
		"bottom left"   => esc_attr__('Bottom Left','naturalspa'),
		"bottom center" => esc_attr__('Bottom Center','naturalspa'),
		"bottom right"  => esc_attr__('Bottom Right','naturalspa'),
	);

	return $positions;
}

function naturalspa_image_repeats() {

	$image_repeats = array( "repeat" => esc_attr__('Repeat','naturalspa'),
		"repeat-x"  => esc_attr__('Repeat in X-axis','naturalspa'),
		"repeat-y"  => esc_attr__('Repeat in Y-axis','naturalspa'),
		"no-repeat" => esc_attr__('No Repeat','naturalspa')
	);

	return $image_repeats;
}

function naturalspa_border_styles() {

	$image_repeats = array(
		"dotted" => esc_attr__('Dotted','naturalspa'),
		"dashed" => esc_attr__('Dashed','naturalspa'),
		"solid"	 => esc_attr__('Solid','naturalspa'),
		"double" => esc_attr__('Double','naturalspa'),
		"groove" => esc_attr__('Groove','naturalspa'),
		"ridge"	 => esc_attr__('Ridge','naturalspa'),
	);

	return $image_repeats;
}

function naturalspa_animations() {

	$animations = array(
        ''        		=> esc_html__('Default','naturalspa'),	
        "bigEntrance"        =>  esc_attr__("bigEntrance",'naturalspa'),
        "bounce"             =>  esc_attr__("bounce",'naturalspa'),
        "bounceIn"           =>  esc_attr__("bounceIn",'naturalspa'),
        "bounceInDown"       =>  esc_attr__("bounceInDown",'naturalspa'),
        "bounceInLeft"       =>  esc_attr__("bounceInLeft",'naturalspa'),
        "bounceInRight"      =>  esc_attr__("bounceInRight",'naturalspa'),
        "bounceInUp"         =>  esc_attr__("bounceInUp",'naturalspa'),
        "bounceOut"          =>  esc_attr__("bounceOut",'naturalspa'),
        "bounceOutDown"      =>  esc_attr__("bounceOutDown",'naturalspa'),
        "bounceOutLeft"      =>  esc_attr__("bounceOutLeft",'naturalspa'),
        "bounceOutRight"     =>  esc_attr__("bounceOutRight",'naturalspa'),
        "bounceOutUp"        =>  esc_attr__("bounceOutUp",'naturalspa'),
        "expandOpen"         =>  esc_attr__("expandOpen",'naturalspa'),
        "expandUp"           =>  esc_attr__("expandUp",'naturalspa'),
        "fadeIn"             =>  esc_attr__("fadeIn",'naturalspa'),
        "fadeInDown"         =>  esc_attr__("fadeInDown",'naturalspa'),
        "fadeInDownBig"      =>  esc_attr__("fadeInDownBig",'naturalspa'),
        "fadeInLeft"         =>  esc_attr__("fadeInLeft",'naturalspa'),
        "fadeInLeftBig"      =>  esc_attr__("fadeInLeftBig",'naturalspa'),
        "fadeInRight"        =>  esc_attr__("fadeInRight",'naturalspa'),
        "fadeInRightBig"     =>  esc_attr__("fadeInRightBig",'naturalspa'),
        "fadeInUp"           =>  esc_attr__("fadeInUp",'naturalspa'),
        "fadeInUpBig"        =>  esc_attr__("fadeInUpBig",'naturalspa'),
        "fadeOut"            =>  esc_attr__("fadeOut",'naturalspa'),
        "fadeOutDownBig"     =>  esc_attr__("fadeOutDownBig",'naturalspa'),
        "fadeOutLeft"        =>  esc_attr__("fadeOutLeft",'naturalspa'),
        "fadeOutLeftBig"     =>  esc_attr__("fadeOutLeftBig",'naturalspa'),
        "fadeOutRight"       =>  esc_attr__("fadeOutRight",'naturalspa'),
        "fadeOutUp"          =>  esc_attr__("fadeOutUp",'naturalspa'),
        "fadeOutUpBig"       =>  esc_attr__("fadeOutUpBig",'naturalspa'),
        "flash"              =>  esc_attr__("flash",'naturalspa'),
        "flip"               =>  esc_attr__("flip",'naturalspa'),
        "flipInX"            =>  esc_attr__("flipInX",'naturalspa'),
        "flipInY"            =>  esc_attr__("flipInY",'naturalspa'),
        "flipOutX"           =>  esc_attr__("flipOutX",'naturalspa'),
        "flipOutY"           =>  esc_attr__("flipOutY",'naturalspa'),
        "floating"           =>  esc_attr__("floating",'naturalspa'),
        "hatch"              =>  esc_attr__("hatch",'naturalspa'),
        "hinge"              =>  esc_attr__("hinge",'naturalspa'),
        "lightSpeedIn"       =>  esc_attr__("lightSpeedIn",'naturalspa'),
        "lightSpeedOut"      =>  esc_attr__("lightSpeedOut",'naturalspa'),
        "pullDown"           =>  esc_attr__("pullDown",'naturalspa'),
        "pullUp"             =>  esc_attr__("pullUp",'naturalspa'),
        "pulse"              =>  esc_attr__("pulse",'naturalspa'),
        "rollIn"             =>  esc_attr__("rollIn",'naturalspa'),
        "rollOut"            =>  esc_attr__("rollOut",'naturalspa'),
        "rotateIn"           =>  esc_attr__("rotateIn",'naturalspa'),
        "rotateInDownLeft"   =>  esc_attr__("rotateInDownLeft",'naturalspa'),
        "rotateInDownRight"  =>  esc_attr__("rotateInDownRight",'naturalspa'),
        "rotateInUpLeft"     =>  esc_attr__("rotateInUpLeft",'naturalspa'),
        "rotateInUpRight"    =>  esc_attr__("rotateInUpRight",'naturalspa'),
        "rotateOut"          =>  esc_attr__("rotateOut",'naturalspa'),
        "rotateOutDownRight" =>  esc_attr__("rotateOutDownRight",'naturalspa'),
        "rotateOutUpLeft"    =>  esc_attr__("rotateOutUpLeft",'naturalspa'),
        "rotateOutUpRight"   =>  esc_attr__("rotateOutUpRight",'naturalspa'),
        "shake"              =>  esc_attr__("shake",'naturalspa'),
        "slideDown"          =>  esc_attr__("slideDown",'naturalspa'),
        "slideExpandUp"      =>  esc_attr__("slideExpandUp",'naturalspa'),
        "slideLeft"          =>  esc_attr__("slideLeft",'naturalspa'),
        "slideRight"         =>  esc_attr__("slideRight",'naturalspa'),
        "slideUp"            =>  esc_attr__("slideUp",'naturalspa'),
        "stretchLeft"        =>  esc_attr__("stretchLeft",'naturalspa'),
        "stretchRight"       =>  esc_attr__("stretchRight",'naturalspa'),
        "swing"              =>  esc_attr__("swing",'naturalspa'),
        "tada"               =>  esc_attr__("tada",'naturalspa'),
        "tossing"            =>  esc_attr__("tossing",'naturalspa'),
        "wobble"             =>  esc_attr__("wobble",'naturalspa'),
        "fadeOutDown"        =>  esc_attr__("fadeOutDown",'naturalspa'),
        "fadeOutRightBig"    =>  esc_attr__("fadeOutRightBig",'naturalspa'),
        "rotateOutDownLeft"  =>  esc_attr__("rotateOutDownLeft",'naturalspa')
    );

	return $animations;
}