<?php
$config = naturalspa_kirki_config();

# Footer I Layout
	NATURALSPA_Kirki::add_section( 'dt_footer_layout', array(
		'title'	=> esc_html__( 'Layout', 'naturalspa' ),
		'description' => esc_html__('Footer Column Layout Settings','naturalspa'),
		'panel' => 'dt_site_footer_i_panel',
		'priority' => 1	
	) );
	
		# show-footer
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'show-footer',
			'label'    => esc_html__( 'Show Footer Columns ?', 'naturalspa' ),
			'section'  => 'dt_footer_layout',
			'default'  => naturalspa_defaults('show-footer'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'naturalspa' ),
				'off' => esc_attr__( 'No', 'naturalspa' )
			)
		));

		# footer-columns
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'radio-image',
			'settings' => 'footer-columns',
			'label'    => esc_html__( 'Footer Columns Layout ?', 'naturalspa' ),
			'section'  => 'dt_footer_layout',
			'transport' => 'refresh',
			'default'  => naturalspa_defaults('footer-columns'),
			'choices' => array(
				'1' => get_template_directory_uri().'/kirki/assets/images/columns/one-column.png',
				'2' => get_template_directory_uri().'/kirki/assets/images/columns/one-half-column.png',
				'3' => get_template_directory_uri().'/kirki/assets/images/columns/one-third-column.png',
				'4' => get_template_directory_uri().'/kirki/assets/images/columns/one-fourth-column.png',
				'5' => get_template_directory_uri().'/kirki/assets/images/columns/one-fifth-column.png',
				'6' => get_template_directory_uri().'/kirki/assets/images/columns/one-sixth-column.png',

				'12' => get_template_directory_uri().'/kirki/assets/images/columns/onefourth-onefourth-onehalf-column.png',
				'13' => get_template_directory_uri().'/kirki/assets/images/columns/onehalf-onefourth-onefourth-column.png',
				'11' => get_template_directory_uri().'/kirki/assets/images/columns/onefourth-onehalf-onefourth-column.png',

				'7' => get_template_directory_uri().'/kirki/assets/images/columns/onefourth-threefourth-column.png',
				'8' => get_template_directory_uri().'/kirki/assets/images/columns/threefourth-onefourth-column.png',

				'9' => get_template_directory_uri().'/kirki/assets/images/columns/onethird-twothird-column.png',
				'10' => get_template_directory_uri().'/kirki/assets/images/columns/twothird-onethird-column.png',
			),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' )
			)
		));

		# footer-darkbg
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'enable-footer-darkbg',
			'label'    => esc_html__( 'Enable Footer Dark BG', 'naturalspa' ),
			'section'  => 'dt_footer_layout',
			'default'  => naturalspa_defaults('enable-footer-darkbg'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'naturalspa' ),
				'off' => esc_attr__( 'No', 'naturalspa' )
			)
		));		


# Footer 1 Background		
	NATURALSPA_Kirki::add_section( 'dt_footer_bg', array(
		'title'	=> esc_html__( 'Background', 'naturalspa' ),
		'panel' => 'dt_site_footer_i_panel',
		'priority' => 2,
	) );

		# customize-footer-bg
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-footer-bg',
			'label'    => esc_html__( 'Customize Background ?', 'naturalspa' ),
			'section'  => 'dt_footer_bg',
			'default'  => naturalspa_defaults('customize-footer-bg'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'naturalspa' ),
				'off' => esc_attr__( 'No', 'naturalspa' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' )
			)			
		));

		# footer-bg-color
		NATURALSPA_Kirki::add_field( $config, array(
			'type' => 'color',
			'settings' => 'footer-bg-color',
			'label'    => esc_html__( 'Background Color', 'naturalspa' ),
			'section'  => 'dt_footer_bg',
			'output' => array(
				array( 'element' => 'div.footer-widgets' , 'property' => 'background-color' )
			),
			'choices' => array( 'alpha' => true ),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-bg', 'operator' => '==', 'value' => '1' )
			)
		));

		# footer-bg-image
		NATURALSPA_Kirki::add_field( $config, array(
			'type' => 'image',
			'settings' => 'footer-bg-image',
			'label'    => esc_html__( 'Background Image', 'naturalspa' ),
			'description'    => esc_html__( 'Add Background Image for footer', 'naturalspa' ),
			'section'  => 'dt_footer_bg',
			'output' => array(
				array( 'element' => 'div.footer-widgets' , 'property' => 'background-image' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-bg', 'operator' => '==', 'value' => '1' )
			)
		));

		# footer-bg-position
		NATURALSPA_Kirki::add_field( $config, array(
			'type' => 'select',
			'settings' => 'footer-bg-position',
			'label'    => esc_html__( 'Background Image Position', 'naturalspa' ),
			'section'  => 'dt_footer_bg',
			'output' => array(
				array( 'element' => 'div.footer-widgets' , 'property' => 'background-position' )
			),
			'default' => 'center',
			'multiple' => 1,
			'choices' => naturalspa_image_positions(),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-bg', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'footer-bg-image', 'operator' => '!=', 'value' => '' )
			)
		));

		# footer-bg-repeat
		NATURALSPA_Kirki::add_field( $config, array(
			'type' => 'select',
			'settings' => 'footer-bg-repeat',
			'label'    => esc_html__( 'Background Image Repeat', 'naturalspa' ),
			'section'  => 'dt_footer_bg',
			'output' => array(
				array( 'element' => 'div.footer-widgets' , 'property' => 'background-repeat' )				
			),
			'default' => 'repeat',
			'multiple' => 1,
			'choices' => naturalspa_image_repeats(),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-bg', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'footer-bg-image', 'operator' => '!=', 'value' => '' )
			)
		));

# Footer I Typography
	NATURALSPA_Kirki::add_section( 'dt_footer_typo', array(
		'title'	=> esc_html__( 'Typography', 'naturalspa' ),
		'panel' => 'dt_site_footer_i_panel',
		'priority' => 3,
	) );

		# customize-footer-title-typo
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-footer-title-typo',
			'label'    => esc_html__( 'Customize Title ?', 'naturalspa' ),
			'section'  => 'dt_footer_typo',
			'default'  => naturalspa_defaults('customize-footer-title-typo'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'naturalspa' ),
				'off' => esc_attr__( 'No', 'naturalspa' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' )
			)			
		));

		# footer-title-typo
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'footer-title-typo',
			'label'    => esc_html__( 'Title Typography', 'naturalspa' ),
			'section'  => 'dt_footer_typo',
			'output' => array(
				array( 'element' => 'div.footer-widgets h3.widgettitle' )
			),
			'default' => naturalspa_defaults( 'footer-title-typo' ),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-title-typo', 'operator' => '==', 'value' => '1' )
			)		
		));

		# Divider
		NATURALSPA_Kirki::add_field( $config ,array(
			'type'=> 'custom',
			'settings' => 'footer-title-typo-divider',
			'section'  => 'dt_footer_typo',
			'default'  => '<div class="customize-control-divider"></div>',
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-title-typo', 'operator' => '==', 'value' => '1' )
			)			
		));

		# customize-footer-content-typo
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'switch',
			'settings' => 'customize-footer-content-typo',
			'label'    => esc_html__( 'Customize Content ?', 'naturalspa' ),
			'section'  => 'dt_footer_typo',
			'default'  => naturalspa_defaults('customize-footer-content-typo'),
			'choices'  => array(
				'on'  => esc_attr__( 'Yes', 'naturalspa' ),
				'off' => esc_attr__( 'No', 'naturalspa' )
			),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' )
			)			
		));

		# footer-content-typo
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'typography',
			'settings' => 'footer-content-typo',
			'label'    => esc_html__( 'Content Typography', 'naturalspa' ),
			'section'  => 'dt_footer_typo',
			'output' => array(
				array( 'element' => 'div.footer-widgets .widget' )
			),
			'default' => naturalspa_defaults( 'footer-content-typo' ),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-content-typo', 'operator' => '==', 'value' => '1' )
			)		
		));

		# footer-content-a-color		
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'color',
			'settings' => 'footer-content-a-color',
			'label'    => esc_html__( 'Anchor Color', 'naturalspa' ),
			'section'  => 'dt_footer_typo',
			'choices' => array( 'alpha' => true ),
			'output' => array(
				array( 'element' => '' )
			),
			'default' => naturalspa_defaults( 'footer-content-a-color' ),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-content-typo', 'operator' => '==', 'value' => '1' )
			)		
		));

		# footer-content-a-hover-color
		NATURALSPA_Kirki::add_field( $config, array(
			'type'     => 'color',
			'settings' => 'footer-content-a-hover-color',
			'label'    => esc_html__( 'Anchor Hover Color', 'naturalspa' ),
			'section'  => 'dt_footer_typo',
			'choices' => array( 'alpha' => true ),			
			'output' => array(
				array( 'element' => '' )
			),
			'default' => naturalspa_defaults( 'footer-content-a-hover-color' ),
			'active_callback' => array(
				array( 'setting' => 'show-footer', 'operator' => '==', 'value' => '1' ),
				array( 'setting' => 'customize-footer-content-typo', 'operator' => '==', 'value' => '1' )
			)		
		));