<?php
if (! class_exists ( 'DTTaxonomies' )) {

	class DTTaxonomies {

		/**
		 * A function constructor calls initially
		 */
		function __construct() {

			// Add Hook into the 'init()' action
			add_action ( 'init', array ( $this, 'dt_init' ) );
		}

		function dt_init() {

			// Stages Taxonomy
			$stages_tax_slug = naturalspa_cs_get_option( 'spa-stages-tax-slug', 'dt_spa_stages' );
			register_taxonomy( 'dt_spa_stages', array('dt_spa_courses'), array(
				"hierarchical" => true,
				"label" => __('Stages','designthemes-core'),
				"singular_label" => __('Stage','designthemes-core'),
				"show_admin_column" => true,
				"rewrite" => array( 'slug' => $stages_tax_slug ),
				'show_in_rest' => true,
				"query_var" => true 
			));

			// Days Taxonomy
			$days_tax_slug = naturalspa_cs_get_option( 'spa-days-tax-slug', 'dt_spa_days' );
			register_taxonomy( 'dt_spa_days', array('dt_spa_courses'), array(
				"hierarchical" => true,
				"label" => __('Days','designthemes-core'),
				"singular_label" => __('Day','designthemes-core'),
				"show_admin_column" => true,
				"rewrite" => array( 'slug' => $days_tax_slug ),
				'show_in_rest' => true,
				"query_var" => true 
			));

			// Classes Taxonomy
			$classes_tax_slug = naturalspa_cs_get_option( 'spa-classes-tax-slug', 'dt_spa_classes' );
			register_taxonomy( 'dt_spa_classes', array('dt_spa_courses'), array(
				"hierarchical" => true,
				"label" => __('Classes','designthemes-core'),
				"singular_label" => __('Class','designthemes-core'),
				"show_admin_column" => true,
				"rewrite" => array( 'slug' => $classes_tax_slug ),
				'show_in_rest' => true,
				"query_var" => true 
			));

			// Periods Taxonomy
			$periods_tax_slug = naturalspa_cs_get_option( 'spa-periods-tax-slug', 'dt_spa_periods' );
			register_taxonomy( 'dt_spa_periods', array('dt_spa_courses','dt_spa_procedures'), array(
				"hierarchical" => true,
				"label" => __('Periods','designthemes-core'),
				"singular_label" => __('Period','designthemes-core'),
				"show_admin_column" => true,
				"rewrite" => array( 'slug' => $periods_tax_slug ),
				'show_in_rest' => true,
				"query_var" => true 
			));						
		}
	}
}			