<?php
if (! class_exists ( 'DTCoreCustomPostTypes' )) {

	/**
	 *
	 * @author iamdesigning11
	 *        
	 */
	class DTCoreCustomPostTypes {
		
		function __construct() {

			// Add Spa Menu
			add_action('admin_menu', array( $this, 'dt_spa_moduel_menu' ) );

			// Set Current Menu
			add_action('admin_head', array( $this, 'dt_set_current_menu' ) ); 

			// Portfolio custom post type
			require_once plugin_dir_path ( __FILE__ ) . '/dt-portfolio-post-type.php';
			if (class_exists ( 'DTPortfolioPostType' )) {
				new DTPortfolioPostType();
			}

			// Procedures custom post type
			require_once plugin_dir_path ( __FILE__ ) . '/dt-procedure-post-type.php';
			if (class_exists ( 'DTSpaProcedurePostType' )) {
				new DTSpaProcedurePostType();
			}			

			// Course custom post type
			require_once plugin_dir_path ( __FILE__ ) . '/dt-course-post-type.php';
			if (class_exists ( 'DTCoursePostType' )) {
				new DTCoursePostType();
			}

			// Custom taxonomies
			require_once plugin_dir_path ( __FILE__ ) . '/dt-taxonomies.php';
			if (class_exists ( 'DTTaxonomies' )) {
				new DTTaxonomies();
			}

			// Add Hook into the 'template_include' filter
			add_filter ( 'template_include', array ( $this, 'dt_template_include'  ) );						
		}

		function dt_spa_moduel_menu() {

			add_menu_page( 
				esc_html__('Spa Module','designthemes-core'),
				esc_html__('Spa','designthemes-core'),
				'manage_options',
				'dt_spa_module_menu_slug',
				'',
				'dashicons-universal-access',
				21
			);

			# Courses Post Type
			add_submenu_page( 'dt_spa_module_menu_slug',
				esc_html__( 'Courses', 'designthemes-core' ),
				esc_html__( 'Courses', 'designthemes-core' ),
				'manage_options',
				'edit.php?post_type=dt_spa_courses'
			);

			# Stages Taxonomy
			add_submenu_page( 'dt_spa_module_menu_slug',
				esc_html__( 'Stages', 'designthemes-core' ),
				esc_html__( 'Stages', 'designthemes-core' ),
				'manage_options',
				'edit-tags.php?taxonomy=dt_spa_stages'
			);

			# Days Taxonomy
			add_submenu_page( 'dt_spa_module_menu_slug',
				esc_html__( 'Days', 'designthemes-core' ),
				esc_html__( 'Days', 'designthemes-core' ),
				'manage_options',
				'edit-tags.php?taxonomy=dt_spa_days'
			);

			# Classes Taxonomy
			add_submenu_page( 'dt_spa_module_menu_slug',
				esc_html__( 'Classes', 'designthemes-core' ),
				esc_html__( 'Classes', 'designthemes-core' ),
				'manage_options',
				'edit-tags.php?taxonomy=dt_spa_classes'
			);

			# Periods Taxonomy
			add_submenu_page( 'dt_spa_module_menu_slug',
				esc_html__( 'Periods', 'designthemes-core' ),
				esc_html__( 'Periods', 'designthemes-core' ),
				'manage_options',
				'edit-tags.php?taxonomy=dt_spa_periods'
			);
		}

		function dt_set_current_menu() {

			global $submenu_file, $parent_file, $current_screen, $pagenow;

			if( !is_null( $current_screen) ) {

				$post_type = $current_screen->post_type;

				if( $post_type == 'dt_spa_procedures' || $post_type == 'dt_spa_courses'  ) {

					if( $pagenow == 'post.php' || $pagenow == 'post-new.php' ) {

						$submenu_file = 'edit.php?post_type='.$current_screen->post_type;
					}

					$parent_file = 'dt_spa_module_menu_slug';
				}

				if( $current_screen->taxonomy == 'dt_spa_stages' || $current_screen->taxonomy == 'dt_spa_days' ||
				$current_screen->taxonomy == 'dt_spa_classes' || $current_screen->taxonomy == 'dt_spa_periods' ) {

					$parent_file = 'dt_spa_module_menu_slug';
					$submenu_file = 'edit-tags.php?taxonomy='.$current_screen->taxonomy;
				}
			}
		}

		/**
		 * To load portfolio pages in front end
		 *
		 * @param string $template
		 * @return string
		 */
		function dt_template_include($template) {

			if( is_singular( 'dt_spa_procedures')  ) {

				if (! file_exists ( get_template_directory () . '/single-dt_spa_procedures.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/single-dt_spa_procedures.php';
				}
			}

			if (is_singular( 'dt_spa_courses' )) {

				if (! file_exists ( get_template_directory () . '/single-dt_spa_courses.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/single-dt_spa_courses.php';
				}
			}

			if( is_tax('dt_spa_stages') || is_tax('dt_spa_days') || is_tax('dt_spa_classes') || is_tax('dt_spa_periods') ) {

				if (! file_exists ( get_template_directory () . '/taxonomy-courses.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/taxonomy-courses.php';
				}
			}

			if (is_singular( 'dt_portfolios' )) {
				if (! file_exists ( get_template_directory () . '/single-dt_portfolios.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/single-dt_portfolios.php';
				}			
			} elseif (is_tax ( 'portfolio_entries' )) {
				if (! file_exists ( get_template_directory () . '/taxonomy-portfolio_entries.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/taxonomy-portfolio_entries.php';
				}
			} elseif (is_tax ( 'portfolio_tags' )) {
		        if (! file_exists ( get_template_directory () . '/taxonomy-portfolio_tags.php' )) {
		            $template = plugin_dir_path ( __FILE__ ) . 'templates/taxonomy-portfolio_tags.php';
		        }
		    }elseif (is_post_type_archive ( 'dt_portfolios' )) {
				if (! file_exists ( get_template_directory () . '/archive-dt_portfolios.php' )) {
					$template = plugin_dir_path ( __FILE__ ) . 'templates/archive-dt_portfolios.php';
				}					
			}
			return $template;
		}
	}
}

function paypal_currency_symbol( $currency = '' ) {

	switch( $currency ) {
		case 'AUD': 
		case 'CAD': 
		case 'HKD':
		case 'MXN':
		case 'NZD':
		case 'SGD':
		case 'USD':
		default:   
			$symbol = '&#36;';
		break;
		case 'BRL': 
			$symbol = '&#82;&#36;';
		break;
		case 'CZK': 
			$symbol = '&#75;&#269;';
		break;
		case 'DKK': 
			$symbol = '&#107;&#114;';
		break;
		case 'EUR': 
			$symbol = '&euro;';
		break;
		case 'HUF': 
			$symbol = '&#70;&#116;';
		break;
		case 'ILS': 
			$symbol = '&#8362;';
		break;
		case 'JPY': 
			$symbol = '&yen;';
		break;
		case 'MYR': 
			$symbol = '&#82;&#77;';
		break;
		case 'NOK': 
			$symbol = '&#107;&#114;';
		break;
		case 'PHP': 
			$symbol = '&#8369;';
		break;
		case 'PLN': 
			$symbol = '&#122;&#322;';
		break;
		case 'GBP': 
			$symbol = '&pound;';
		break;
		case 'RUB': 
			$symbol = '&#1088;&#1091;&#1073;.';
		break;

		case 'SEK': 
			$symbol = '&#107;&#114;';
		break;
		case 'CHF': 
			$symbol = '&#67;&#72;&#70;';
		break;
		case 'TWD': 
			$symbol = '&#78;&#84;&#36;';
		break;
		case 'THB': 
			$symbol = '&#3647;';
		break;
		case 'TRY': 
			$symbol = '&#84;&#76;';
		break;
		case 'INR': 
			$symbol = '&#8377';
		break;		
	}

	return $symbol;
}

function paypal_currencies() {

	return array_unique( array(
		'AUD' => __('Australian Dollar','naturalspa').' - '.'AUD',
		'BRL' => __('Brazilian Real ','naturalspa').' - '.'BRL',
		'CAD' => __('Canadian Dollar','naturalspa').' - '.'CAD',
		'CZK' => __('Czech Koruna','naturalspa').' - '.'CZK',
		'DKK' => __('Danish Krone','naturalspa').' - '.'DKK',
		'EUR' => __('Euro','naturalspa').' - '.'EUR',
		'HKD' => __('Hong Kong Dollar','naturalspa').' - '.'HKD',
		'HUF' => __('Hungarian Forint','naturalspa').' - '.'HUF',
		'ILS' => __('Israeli New Sheqel','naturalspa').' - '.'ILS',
		'JPY' => __('Japanese Yen','naturalspa').' - '.'JPY',
		'MYR' => __('Malaysian Ringgit','naturalspa').' - '.'MYR',
		'MXN' => __('Mexican Peso','naturalspa').' - '.'MXN',
		'NOK' => __('Norwegian Krone','naturalspa').' - '.'NOK',
		'NZD' => __('New Zealand Dollar','naturalspa').' - '.'NZD',
		'PHP' => __('Philippine Peso','naturalspa').' - '.'PHP',
		'PLN' => __('Polish Zloty','naturalspa').' - '.'PLN',
		'GBP' => __('Pound Sterling','naturalspa').' - '.'GBP',
		'RUB' => __('Russian Ruble','naturalspa').' - '.'RUB',
		'SGD' => __('Singapore Dollar','naturalspa').' - '.'SGD',
		'SEK' => __('Swedish Krona','naturalspa').' - '.'SEK',
		'CHF' => __('Swiss Franc','naturalspa').' - '.'CHF',
		'TWD' => __('Taiwan New Dollar','naturalspa').' - '.'TWD',
		'THB' => __('Thai Baht','naturalspa').' - '.'THB',
		'TRY' => __('Turkish Lira','naturalspa').' - '.'TRY',
		'USD' => __('U.S. Dollar','naturalspa').' - '.'USD',
		'INR' => __('INR Indian Rupee','naturalspa').' - '.'INR'									
	) );
}

?>