<?php get_header();
	$tpl_default_settings = get_post_meta($post->ID,'_custom_settings',TRUE);
	$tpl_default_settings = is_array( $tpl_default_settings ) ? $tpl_default_settings  : array();

	$page_layout  = array_key_exists( "layout", $tpl_default_settings ) ? $tpl_default_settings['layout'] : "content-full-width";
	$show_sidebar = $show_left_sidebar = $show_right_sidebar = false;
	$sidebar_class = "";
	
	switch ( $page_layout ) {
		case 'with-left-sidebar':
			$page_layout = "page-with-sidebar with-left-sidebar";
			$show_sidebar = $show_left_sidebar = true;
			$sidebar_class = "secondary-has-left-sidebar";
		break;

		case 'with-right-sidebar':
			$page_layout = "page-with-sidebar with-right-sidebar";
			$show_sidebar = $show_right_sidebar	= true;
			$sidebar_class = "secondary-has-right-sidebar";
		break;
		
		case 'with-both-sidebar':
			$page_layout = "page-with-sidebar with-both-sidebar";
			$show_sidebar = $show_left_sidebar = $show_right_sidebar	= true;
			$sidebar_class = "secondary-has-both-sidebar";
		break;

		case 'content-full-width':
		default:
			$page_layout = "content-full-width";
		break;
	}

	if ( $show_sidebar ):
		if ( $show_left_sidebar ): ?>
			<section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>">
				<?php get_sidebar('left');?>
			</section><?php
		endif;
	endif;?>

	<section id="primary" class="<?php echo esc_attr( $page_layout );?>"><?php
		if( have_posts() ) :

			while( have_posts() ):

				the_post();

				$symbol = cs_get_option('currency');
				$symbol = paypal_currency_symbol( $symbol );
				$symbol = '<span class="currency">'.$symbol.'</span>';

				$courseprice = array_key_exists ( 'price', $tpl_default_settings ) ? $symbol . $tpl_default_settings ['price'] : '';?>
				<div id="post-<?php the_ID(); ?>" <?php post_class('outer-frame-border'); ?>>
					<?php if( has_post_thumbnail() ): ?>
						<div class="dt_spa_procedures-thumb">
							<a href="<?php the_permalink();?>" title="<?php printf(esc_attr__('Permalink to %s','dt-core'),the_title_attribute('echo=0'));?>"><?php the_post_thumbnail("full");?></a>						
						</div>
					<?php endif; ?>
					<div class="dt_spa_procedures-detail">

						<div class="dt_spa_procedures-price"><?php echo $courseprice; ?></div>

						<h4><a href="<?php the_permalink();?>" title="<?php printf(esc_attr__('Permalink to %s','dt-core'), the_title_attribute('echo=0'));?>"><?php the_title(); ?></a></h4>


						<?php echo get_the_term_list($post->ID, 'dt_spa_periods', '<p class="dt_spa_procedures-times">',',','</p>'); ?>

						<?php the_content(); ?>

						<?php  $paypal = cs_get_option('enable-paypal');
							$id = cs_get_option('paypal-email');

						if( $paypal && !empty( $id ) ) {							

							$url = 'https://www.paypal.com/cgi-bin/webscr';
							$mode = cs_get_option('enable-paypal-live');
							if( is_null($mode) ) {
								$url = 'https://www.sandbox.paypal.com/cgi-bin/webscr';
							}							 

							if( array_key_exists ( 'price', $tpl_default_settings ) && !empty( $tpl_default_settings['price'] )  ) { ?>
								<form action="<?php echo $url;?>" method="post">
									<input type="hidden" name="cmd" value="_xclick">
									<input type="hidden" name="business" value="<?php echo esc_attr($id);?>">
									<input type="hidden" name="lc" value="<?php echo cs_get_option('language'); ?>">
									<input type="hidden" name="item_name" value="<?php the_title();?>">
									<input type="hidden" name="amount" value="<?php echo $tpl_default_settings['price'];?>">
									<input type="hidden" name="currency_code" value="<?php echo cs_get_option('currency');?>">
									<INPUT TYPE="hidden" NAME="return" value="<?php the_permalink();?>">
									<div class="vc_btn3-container vc_btn3-inline">
										<button class="vc_general vc_btn3 vc_btn3-size-lg vc_btn3-shape-square vc_btn3-style-classic vc_btn3-color-skincolor"><?php
											echo sprintf( __( 'ENROLL NOW FOR %s', 'dt-core' ), 
												$symbol.' '.$tpl_default_settings['price'] ); ?>
										</button>
									</div>							
								</form>
							<?php }	
						}

							edit_post_link( sprintf( __( 'Edit "%s"', 'dt-core' ), get_the_title() ), 
								'<span class="edit-link">',
								'</span>'); ?>
					</div>					
				</div><?php
			endwhile;
		endif;?>
	</section><?php

	if ( $show_sidebar ):
		if ( $show_right_sidebar ): ?>
			<section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>">
				<?php get_sidebar('right');?>
			</section><?php
		endif;
	endif;
get_footer(); ?>