<?php get_header();
	$page_layout = cs_get_option('spa-archives-page-layout');
	$page_layout  = !empty( $page_layout ) ? $page_layout : "content-full-width";

	$show_sidebar = $show_left_sidebar = $show_right_sidebar = false;
	$sidebar_class = "";
	
	switch ( $page_layout ) {
		case 'with-left-sidebar':
			$page_layout = "page-with-sidebar with-left-sidebar";
			$show_sidebar = $show_left_sidebar = true;
			$sidebar_class = "secondary-has-left-sidebar";
		break;

		case 'with-right-sidebar':
			$page_layout = "page-with-sidebar with-right-sidebar";
			$show_sidebar = $show_right_sidebar	= true;
			$sidebar_class = "secondary-has-right-sidebar";
		break;
		
		case 'with-both-sidebar':
			$page_layout = "page-with-sidebar with-both-sidebar";
			$show_sidebar = $show_left_sidebar = $show_right_sidebar	= true;
			$sidebar_class = "secondary-has-both-sidebar";
		break;

		case 'content-full-width':
		default:
			$page_layout = "content-full-width";
		break;
	}

	if ( $show_sidebar ):
		if ( $show_left_sidebar ): ?>
			<section id="secondary-left" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>">
				<?php get_sidebar('left');?>
			</section><?php
		endif;
	endif;?>

	<section id="primary" class="<?php echo esc_attr( $page_layout );?>"><?php
		$post_layout = cs_get_option('spa-archives-post-layout');
		$post_layout = isset( $post_layout ) ? $post_layout : 'one-third-column';

		switch($post_layout):

			case 'one-fourth-column':
				$post_class = $show_sidebar ? "column dt-sc-one-fourth with-sidebar" : "column dt-sc-one-fourth";
				$columns = 4;
			break;

			case 'one-third-column':
				$post_class = $show_sidebar ? "column dt-sc-one-third with-sidebar" : "column dt-sc-one-third";
				$columns = 3;
			break;

			default:
			case 'one-half-column':
				$post_class = $show_sidebar ? "column dt-sc-one-half with-sidebar" : "column dt-sc-one-half";
				$columns = 2;
			break;
		endswitch;

		$symbol = cs_get_option('currency');
		$symbol = paypal_currency_symbol( $symbol );
		$symbol = '<span class="currency">'.$symbol.'</span>';

		if( have_posts() ) :
			$i = 1;
			while( have_posts() ):
				the_post();
				$the_id = get_the_ID();
				$title = get_the_title();
				$type = get_post_type($the_id);

				$classes = implode(" ", get_post_class('outer-frame-border', $the_id) );

				$settings = get_post_meta ( $the_id, '_custom_settings', TRUE );
				$settings = is_array ( $settings ) ? $settings : array ();

				$courseprice = array_key_exists ( 'price', $settings ) ? $symbol . $settings ['price'] : '';				

				if($i == 1) $temp_class = $post_class." first"; else $temp_class = $post_class;
				if($i == $columns) $i = 1; else $i = $i + 1;?>
					<div class="<?php echo esc_attr( trim($temp_class));?>">
					<?php if( $type == 'dt_spa_courses' ) :?>
							<div id="dt_spa_courses-<?php echo $the_id;?>" class="<?php echo $classes;?>">
								<div class="dt_spa_courses-thumb">
									<?php if( has_post_thumbnail() ) :
											the_post_thumbnail("full");
										else:
											echo '<img src="http://placehold.it/770X590.jpg&text='.esc_html($title).'" alt="'.esc_attr($title).'" title="'.esc_attr($title).'"/>';
										endif;?>
									<div class="overlay">
										<a href="<?php the_permalink();?>" title="<?php printf(esc_attr__('Permalink to %s','dt-core'),the_title_attribute('echo=0'));?>"><?php
											echo esc_html__('View Course','dt-core');?></a>
									</div>
								</div>

								<div class="dt_spa_courses-detail">
									<div class="dt_spa_courses-price"><?php echo $courseprice; ?></div>
									<h4><a href="<?php the_permalink();?>" title="<?php printf(esc_attr__('Permalink to %s','dt-core'),the_title_attribute('echo=0'));?>"><?php the_title();?></a></h4>
									<div class="dt_spa_courses-meta"><?php
										echo get_the_term_list($the_id, 'dt_spa_days', '<p>',',','</p>');
										echo get_the_term_list($the_id, 'dt_spa_classes', '<p>',',','</p>');
										echo get_the_term_list($the_id, 'dt_spa_stages', '<p>',',','</p>');?>
									</div>
									<?php echo get_the_term_list($the_id, 'dt_spa_periods', '<p class="dt_spa_period-meta">',',','</p>'); ?>
								</div>
							</div>
					<?php elseif( $type == 'dt_yoga_poses' ): ?>
							<div id="dt_yoga_poses-<?php echo $the_id;?>" class="<?php echo $classes;?>">
								<div class="dt_yoga_poses-thumb"><?php
									if( has_post_thumbnail() ) :
										the_post_thumbnail("full");
									else:
										echo '<img src="http://placehold.it/770X590.jpg&text='.esc_html($title).'" alt="'.esc_attr($title).'" title="'.esc_attr($title).'"/>';
									endif;?>
								</div>
								<div class="dt_yoga_poses-detail">
									<?php echo DTCoreShortcodesDefination::dt_spa_stages_term_list($id, 'dt_spa_stages', '<p class="dt_yoga_pose_stages"> ', '', '</p> ');?>
									<h4><a href="<?php the_permalink();?>" title="<?php printf(esc_attr__('Permalink to %s','dt-core'),the_title_attribute('echo=0'));?>"><?php the_title();?></a></h4>
									<?php $excerpt = get_the_excerpt($id);
										!empty( $excerpt ) ? '<p class="dt-sc-pose-excerpt">'.$excerpt.'</p>' : ''; ?>
								</div>
							</div>
					<?php endif;?>
					</div><?php
			endwhile;

			echo '<div class="pagination">';
			echo naturalspa_pagination();
			echo '</div>';
		endif;?>
	</section><?php

	if ( $show_sidebar ):
		if ( $show_right_sidebar ): ?>
			<section id="secondary-right" class="secondary-sidebar <?php echo esc_attr( $sidebar_class );?>">
				<?php get_sidebar('right');?>
			</section><?php
		endif;
	endif;
get_footer(); ?>