<?php add_action( 'vc_before_init', 'dt_sc_courses_vc_map' );
function dt_sc_courses_vc_map() {
	vc_map( array(
		"name" => esc_html__("Courses", "dt-core"),
		"base" => "dt_sc_courses",
		"icon" => "dt_sc_courses",
		"category" => DT_VC_CATEGORY,
		'description' => esc_html__("To Show Courses", "dt-core"),
		"params" => array(

			array( 
				'type' => 'dropdown',
				'param_name' => 'column',
				'value' => array(
					esc_html__( 'Two Columns', 'dt-core' ) => 2,
					esc_html__( 'Three Columns', 'dt-core') => 3,
					esc_html__( 'Four Columns', 'dt-core') => 4
				),
      			'admin_label' => true,
      			'std' => 3,
				'heading' => esc_html__( 'Layout', 'dt-core' ),
				'description' => esc_html__( 'Select display layout.', 'dt-core' )				
			),

			array(
				'type' => 'checkbox',
				'param_name'=> 'filterable',
				'heading' => __( 'Add filter?', 'dt-core' ),
      			'admin_label' => true
			),

			array(
				'type' => 'textfield',
				'param_name' => 'posts_per_page',
				'heading' => esc_html__( 'Total items', 'dt-core' ),
				'description' => esc_html__( 'Set item limit to display or enter -1 to display all.', 'dt-core' ),
				'value' => 3,
				'dependency' => array(
					'element' => 'filterable',
					'value_not_equal_to' => 'true'
				)				
			),			

			array(
				'type' => 'dropdown',
				'param_name' => 'by',
				'value' => array(
					__('Stages','dt-core') => 'dt_spa_stages',
					__('Days', 'dt-core') => 'dt_spa_days',
					__('Classes', 'dt-core') => 'dt_spa_classes'										
				),
				'std' => 'dt_spa_stages',
				'heading' => esc_html__( 'Filterable By?', 'dt-core' ),
				'description' => esc_html__( 'Select filterable type by.', 'dt-core' ),
				'dependency' => array(
					'element' => 'filterable',
					'value' => 'true'
				)
			)
		)
	) );
}