<?php add_action( 'vc_before_init', 'dt_sc_procedures_catalog_vc_map' );
function dt_sc_procedures_catalog_vc_map() {	

	vc_map( array(
		"name" => __('Procedures', 'dt-core'),
		"base" => "dt_sc_procedures_catalog",
		"icon" => "dt_sc_procedures_catalog",
		"category" => DT_VC_CATEGORY,
		'description' => esc_html__("To Show catalog of procedures", "dt-core"),
		"params" => array(

			// Post Count
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Post Counts', 'dt-core' ),
				'param_name' => 'posts_per_page',
				'description' => esc_html__( 'Enter post count', 'dt-core' ),
				'admin_label' => true
			),

			// Post Count
			array(
				'type' => 'textfield',
				'heading' => esc_html__( 'Exclude Posts', 'dt-core' ),
				'param_name' => 'exclude',
				'description' => esc_html__( 'Enter comma seperated post IDs to exclude ( eg: 10,15 )', 'dt-core' ),
				'admin_label' => true
			),
					
			// Post Order
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Order','dt-core'),
				'param_name' => 'order',
				'value' => array(
					esc_html__('Ascending','dt-core') => 'ASC',
					esc_html__('Descending','dt-core') => 'DESC'
				),
				'admin_label' => true,
				'std' => 'DESC',
				'edit_field_class' => 'vc_col-xs-6'
			),
			
			// Post Order By
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Order By','dt-core'),
				'param_name' => 'orderby',
				'value' => array(
					esc_html__('ID','dt-core') => 'ID',
					esc_html__('Title','dt-core') => 'title',
					esc_html__('Name','dt-core') => 'name',
					esc_html__('Type','dt-core') => 'type',
					esc_html__('Date','dt-core') => 'date',
					esc_html__('Random','dt-core') => 'rand',
				),
				'admin_label' => true,
				'std' => 'date',
				'edit_field_class' => 'vc_col-xs-6'
			),			
		)
	) );
}