<?php add_action( 'vc_before_init', 'dt_sc_single_procedure_vc_map' );
function dt_sc_single_procedure_vc_map() {

	vc_map( array(
		"name" => __('Procedure', 'dt-core'),
		"base" => "dt_sc_procedure_item",
		"icon" => "dt_sc_procedure_item",
		"category" => DT_VC_CATEGORY,
		'description' => esc_html__("To Show individual Procedure", "dt-core"),
		"params" => array(

			array(
				'type' => 'textfield',
				'param_name' => 'id',
				'save_always' => true,
				'heading' =>esc_html__( 'ID', 'dt-core' ),
				'description' => esc_html__( 'Set post ID.', 'dt-core' ),
			),

			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Style', 'dt-core'),
				'description' => esc_html__( 'Set display style.', 'dt-core' ),
				'param_name' => 'style',
				'admin_label' => true,
				'save_always' => true,
				'value' => array(
					esc_html__('With Icon','dt-core') => 'type1',
					esc_html__('Without Icon','dt-core') => 'type2',
				)
			),
			
			array(
				'type' => 'colorpicker',
				'heading' => esc_html__('Color', 'dt-core'),
				'description' => esc_html__( 'Set color.', 'dt-core' ),
				'param_name' => 'color',
				'save_always' => true,
			),
			
			# Icon library
			array(
				'type' => 'dropdown',
				'heading' => __( 'Icon library', 'dt-core' ),
				'value' => array(
					__( 'Font Awesome', 'dt-core' ) => 'fontawesome',
					__( 'Open Iconic', 'dt-core' ) => 'openiconic',
					__( 'Typicons', 'dt-core' ) => 'typicons',
					__( 'Entypo', 'dt-core' ) => 'entypo',
					__( 'Linecons', 'dt-core' ) => 'linecons',
					__( 'Mono Social', 'dt-core' ) => 'monosocial',
					__( 'Stroke Gap', 'dt-core' ) => 'stroke',
					__( 'Image', 'dt-core' ) => 'image'
				),
				'param_name' => 'icon_type',
				'save_always' => true,
				'description' => __( 'Select icon library.', 'dt-core' ),
				'dependency' => array( 'element' => 'style', 'value' => 'type1' )
			),
			
			array(
				'type' => 'iconpicker',
				'heading' => __( 'Icon', 'dt-core' ),
				'param_name' => 'icon_fontawesome',
				'value' => 'fa fa-adjust',
				'save_always' => true, 
				'settings' => array( 'emptyIcon' => false, 'iconsPerPage' => 4000 ),
				'dependency' => array( 'element' => 'icon_type', 'value' => 'fontawesome' ),
				'description' => __( 'Select icon from library.', 'dt-core' ),
			),

			array(
				'type' => 'iconpicker',
				'heading' => __( 'Icon', 'dt-core' ),
				'param_name' => 'icon_openiconic',
				'value' => 'vc-oi vc-oi-dial',
				'save_always' => true, 
				'settings' => array( 'emptyIcon' => false, 'type' => 'openiconic', 'iconsPerPage' => 4000 ),
				'dependency' => array( 'element' => 'icon_type', 'value' => 'openiconic' ),
				'description' => __( 'Select icon from library.', 'dt-core' ),
			),

			array(
				'type' => 'iconpicker',
				'heading' => __( 'Icon', 'dt-core' ),
				'param_name' => 'icon_typicons',
				'value' => 'typcn typcn-adjust-brightness',
				'save_always' => true,
				'settings' => array( 'emptyIcon' => false, 'type' => 'typicons', 'iconsPerPage' => 4000 ),
				'dependency' => array( 'element' => 'icon_type', 'value' => 'typicons' ),
				'description' => __( 'Select icon from library.', 'dt-core' ),
			),

			array(
				'type' => 'iconpicker',
				'heading' => __( 'Icon', 'dt-core' ),
				'param_name' => 'icon_entypo',
				'value' => 'entypo-icon entypo-icon-note',
				'save_always' => true,
				'settings' => array( 'emptyIcon' => false, 'type' => 'entypo', 'iconsPerPage' => 4000 ),
				'dependency' => array( 'element' => 'icon_type', 'value' => 'entypo' )
			),

			array(
				'type' => 'iconpicker',
				'heading' => __( 'Icon', 'dt-core' ),
				'param_name' => 'icon_linecons',
				'value' => 'vc_li vc_li-heart',
				'save_always' => true,
				'settings' => array( 'emptyIcon' => false, 'type' => 'linecons', 'iconsPerPage' => 4000 ),
				'dependency' => array( 'element' => 'icon_type', 'value' => 'linecons' ),
				'description' => __( 'Select icon from library.', 'dt-core' ),
			),

			array(
				'type' => 'iconpicker',
				'heading' => __( 'Icon', 'dt-core' ),
				'param_name' => 'icon_monosocial',
				'value' => 'vc-mono vc-mono-fivehundredpx', 
				'save_always' => true,
				'settings' => array( 'emptyIcon' => false, 'type' => 'monosocial', 'iconsPerPage' => 4000 ),
				'dependency' => array( 'element' => 'icon_type', 'value' => 'monosocial' ),
				'description' => __( 'Select icon from library.', 'dt-core' ),
			),

			array(
				'type' => 'iconpicker',
				'heading' => __( 'Icon', 'dt-core' ),
				'param_name' => 'icon_stroke',
				'value' => 'icon icon-book',
				'save_always' => true,
				'settings' => array( 'type' => 'stroke', 'emptyIcon' => false, 'iconsPerPage' => 200 ),
				'dependency' => array( 'element' => 'icon_type', 'value' => 'stroke' ),
				'description' => __( 'Select icon from library.', 'dt-core' ),
			),

			array(
				'type' => 'attach_image',
				'heading' => esc_html__( 'Image', 'dt-core' ),
				'param_name' => 'thumb',
				'save_always' => true,
				'dependency' => array( 'element' => 'icon_type', 'value' => 'image' ),
				'description' => esc_html__( 'Select image from media library', 'dt-core' ),
			),

			// Custom Class
      		array(
      			"type" => "textfield",
      			'admin_label' => true,
      			"heading" => esc_html__( "Custom Class", 'dt-core' ),
      			"param_name" => "class"
      		)
		)
	) );
}?>