<?php
/*
 * Plugin Name:	DesignThemes Doctor Addon
 * URI: 	http://wedesignthemes.com/plugins/designthemes-doctor-addon
 * Description: A simple wordpress plugin designed to implements <strong>doctors features of DesignThemes</strong>
 * Version: 	1.8
 * Author: 		DesignThemes
 * Text Domain: designthemes-doctor
 * Author URI:	http://themeforest.net/user/designthemes
 */
if (! class_exists ( 'DTDoctorAddon' )) {
	class DTDoctorAddon {

		function __construct() {

			add_action ( 'init', array($this, 'dtLoadPluginTextDomain') );

			require_once plugin_dir_path ( __FILE__ ) . '/utils.php';

			register_activation_hook( __FILE__ , array( $this , 'dtDoctorAddonActivated' ) );
			register_deactivation_hook( __FILE__ , array( $this , 'dtDoctorAddonDeactivated' ) );

			// Register Doctor Custom Post Type
			require_once plugin_dir_path ( __FILE__ ) . '/custom-post-types/register-post-types.php';
			if (class_exists('DTDoctorModuleCustomPostTypes')) {
				new DTDoctorModuleCustomPostTypes();
			}

			// Register Shortcodes
			require_once plugin_dir_path ( __FILE__ ) . '/shortcodes/shortcodes.php';
			if(class_exists('DTDoctorShortcodesDefinition')){
				new DTDoctorShortcodesDefinition();
			}

			// Register Reservation System
			require_once plugin_dir_path( __FILE__ ).'/reservation/register-reservation-system.php';

			if (class_exists ( 'DTReservationSystem' )) {
				$dt_reservation_system = new DTReservationSystem ();
			}

			// Register Visual Composer
			require_once plugin_dir_path ( __FILE__ ) . '/vc/register-vc.php';
			if(class_exists('DTVCDoctorModule')){
				new DTVCDoctorModule();
			}
		}

		function dtLoadPluginTextDomain() {
			load_plugin_textdomain ( 'designthemes-doctor', false, dirname ( plugin_basename ( __FILE__ ) ) . '/languages/' );
		}

		public static function dtDoctorAddonActivated() {
			// Shell script file for agenda
			$sh = plugin_dir_path( __FILE__ ).'reservation/cron/send_agenda_cron.sh';
			$php = plugin_dir_path( __FILE__ ).'reservation/cron/send_agenda_cron.php';

			$sh_content = file_get_contents($sh);

			if ( preg_match( '/doc_root/', $sh_content ) ) {
                $sh_content = preg_replace( '/doc_root/', $_SERVER[ 'DOCUMENT_ROOT' ], $sh_content );
            }
            if ( preg_match( '/full_path/', $sh_content ) ) {
                $sh_content = preg_replace( '/full_path/', $php, $sh_content );
            }
            file_put_contents( $sh, $sh_content );
		}

		public static function dtDoctorAddonDeactivated() {
			$sh = plugin_dir_path( __FILE__ ).'reservation/cron/send_agenda_cron.sh';
			file_put_contents( $sh, "#!/bin/sh\ncd doc_root\nphp -f full_path" );
		}
	}

	new DTDoctorAddon();
}?>