<?php
if ( !class_exists( 'DTCustomerPostType' ) ) {

	class DTCustomerPostType {

		function __construct() {
			add_action ( 'init', array ( $this, 'dt_init' ) );

			add_filter ( "cs_metabox_options", array( $this, "dt_customers_cs_metabox_options" ) );
		}

		function dt_init() {
			$labels = array(
				'name' => __('Customers', 'dt-reservation' ),
				'singular_name' => __('Customer', 'dt-reservation' ),
				'menu_name' => __('Customers', 'dt-reservation' ),
				'add_new' => __('Add Customer', 'dt-reservation' ),
				'add_new_item' => __('Add New Customer', 'dt-reservation' ),
				'edit' => __('Edit Customer', 'dt-reservation' ),
				'edit_item' => __('Edit Customer', 'dt-reservation' ),
				'new_item' => __('New Customer', 'dt-reservation' ),
				'view' => __('View Customer', 'dt-reservation' ),
				'view_item' => __('View Customer', 'dt-reservation' ),
				'search_items' => __('Search Customers', 'dt-reservation' ),
				'not_found' => __('No Customers found', 'dt-reservation' ),
				'not_found_in_trash' => __('No Customers found in Trash', 'dt-reservation' ),
				'parent_item_colon' => __('Parent Customer:', 'dt-reservation' ),
			);

			$args = array(
				'labels' => $labels,
				'hierarchical' => false,
				'description' => __('This is Custom Post type named as Customers','dt-reservation'),
				'supports' => array('title', 'revisions'),
				'public' => true,
				'show_ui' => true,
				'show_in_menu' => true,
				'menu_position' => 20,
				'show_in_rest' => true,
				'menu_icon' => 'dashicons-groups',
			);

			register_post_type('dt_customers', $args );
		}

		function dt_customers_cs_metabox_options( $options ) {

			$options[]    = array(
			  'id'        => '_info',
			  'title'     => __("Custom Customer Options",'dt-reservation'),
			  'post_type' => 'dt_customers',
			  'context'   => 'normal',
			  'priority'  => 'default',
			  'sections'  => array(
			
				array(
				  'name'  => 'general_section',
			
				  'fields' => array(
			
					array(
					  'id'    => 'emailid',
					  'type'  => 'text',
					  'title' => 'Email Id',
					  'attributes' => array( 
						'placeholder' => 'testmail@domain.com'
					  )
					),
			
					array(
					  'id'    => 'phone',
					  'type'  => 'text',
					  'title' => 'Phone',
					  'attributes' => array( 
						'placeholder' => '022-65265'
					  )
					),
			
				  ), // end: fields
				), // end: a section
			
			  ),
			);

			return $options;
		}
	}
}?>