<?php
class DTDoctorShortcodesDefinition {
	
	function __construct() {
		
		add_shortcode ( "dt_sc_doctor_item", array (
			$this,
			"dt_sc_doctor_item"
		) );

		add_shortcode("dt_sc_current_doctor_info", array(
			$this,
			"dt_sc_doctor_item"
		) );

		add_shortcode("dt_sc_current_doctor_meta", array(
			$this,
			"dt_sc_current_doctor_meta"
		) );

		add_shortcode("dt_sc_query_doctors", array(
			$this,
			"dt_sc_query_doctors"
		) );

		add_shortcode("dt_sc_doctors_with_filter", array(
			$this,
			"dt_sc_doctors_with_filter"
		) );

		add_shortcode("dt_sc_doctors_carousel", array(
			$this,
			"dt_sc_doctors_carousel"
		) );

		add_shortcode ( "dt_sc_procedure_list", array(
			$this,
			"dt_sc_procedure_list"
		) );
		
		add_shortcode ( "dt_sc_reserve_appointment", array(
			$this,
			"dt_sc_reserve_appointment"
		) );

		// Ajax's for Doctor filtering Shortcode
		add_action( 'wp_ajax_dt_sc_filter_doctors', array(
			$this, 'dt_sc_filter_doctors'
		) );

		add_action( 'wp_ajax_nopriv_dt_sc_filter_doctors', array(
			$this, 'dt_sc_filter_doctors'
		) );

		add_shortcode ( "dt_sc_procedure_nav", array (
			$this,
			"dt_sc_procedure_nav"
		) );					
	}
	
	function dt_sc_doctor_item( $attrs, $content = null ) {

		extract ( shortcode_atts ( array (
			'id' => '',
			'class' => '',
			'type' => '',
			'link' => ''
		), $attrs ) );

		$out = "";

		if( empty($id) ) {
			global $post;
			$id =  $post->ID;
		}

		$p = get_post( $id );

		if( $p->post_type === "dt_doctors" ) {

			$title = get_the_title($id);
			$permalink = get_permalink($id);
			$terms =  get_the_terms( $id, 'doctor_departments' );

			$image = has_post_thumbnail($id) ? get_the_post_thumbnail($id,'full') : '<img src="http://placehold.it/300X367.jpg&text='.esc_html($title).'" alt="'.esc_attr($title).'" title="'.esc_attr($title).'"/>';

			$departments = '';
			if ( ! empty( $terms ) && ! is_wp_error( $terms ) ) {
				$count = count( $terms );
				$i = 0;

				foreach ( $terms as $term ) {
					$i++;
					$departments .=  $term->name;

					if ( $count != $i ) {
						$departments .= ', ';
					}
				}
			}

			$settings = get_post_meta ( $id, '_custom_settings', TRUE );
			$settings = is_array ( $settings ) ? $settings : array ();

			$social = array_key_exists("social",$settings) ? $settings['social'] : '';
			if( !empty($social) ) {
				$social = str_replace('[dt_sc_social', '[dt_sc_social class="dt-sc-sociable" ', $social);
				$social = do_shortcode($social);
			}

			$link = ( '||' === $link ) ? '' : $link;
			$link = vc_build_link( $link );
			$a_href = $link['url'];
			$a_title = $link['title'];
			$a_target = !empty($link['target']) ? $link['target'] : '_self';

			if( empty($type) || $type == 'style-1' ) {

				$out .= '<div id="dt_doctors-'.esc_attr($id).'" class="style1 dt-sc-doctors '.esc_attr($class).'">';
					$out .= '<div class="dt-sc-doctors-thumb-wrapper">';
					$out .= '	<div class="dt-sc-doctors-thumb">';
					$out .= '		<a href="'.esc_url($permalink).'">';
					$out .= 			naturalspa_wp_kses($image);
					$out .= '		</a>';
					$out .= '	</div>';
					$out .= empty ($a_href) ? '<a href="'.esc_url($permalink).'" class="dt-sc-button medium bordered">'.esc_html__('View Details','designthemes-doctor').'</a>' : '<a href="'.esc_url($a_href).'" class="dt-sc-button medium bordered" target="'.esc_attr($a_target).'">'.esc_html($a_title).'</a>';
					$out .= '</div>';
					$out .= '<div class="dt-sc-doctors-details">';
						$title = array_key_exists("prefix",$settings) ? $settings['prefix'].$title : $title;
						$postfix = array_key_exists("postfix",$settings) ? $settings['postfix'] : '';
	
						$out .= '<h5><a href="'.esc_url($permalink).'">'.esc_html($title).'</a><span>'.esc_html($postfix).'</span></h5>';
						$out .= '<h6>'.esc_html($departments).'</h6>';
						$out .= $social.'<div class="dt-sc-hr-invisible-xsmall"> </div>';

						if( array_key_exists('doctor_opt_flds', $settings) ) {

							$out .= '<ul class="dt-sc-doctors-single-meta">';
								for($i = 1; $i <= (sizeof($settings['doctor_opt_flds']) / 2); $i++){

									$title = $settings['doctor_opt_flds']['doctor_opt_flds_title_'.$i];
									$value = $settings['doctor_opt_flds']['doctor_opt_flds_value_'.$i];

									if( filter_var($value ,FILTER_VALIDATE_URL) ){
										$value = "<a href='".esc_url($value)."'>".esc_html($value)."</a>";
									} elseif( is_email($value) ){
										$email = sanitize_email($value);
										$value = "<a href='mailto:".antispambot($email,1)."'>".antispambot($value)."</a>";
									}

									if( !empty($value) ) {
										$out .= '<li> <span>'.esc_html($title).'</span><div class="item-value">'.$value.'</div></li>';
									}
								}
							$out .= '</ul>';
						}
					$out .= '</div>';
				$out .= '</div>';
			} else {
				
				$title = array_key_exists("prefix",$settings) ? $settings['prefix'].$title : $title;
				$postfix = array_key_exists("postfix",$settings) ? $settings['postfix'] : '';
				
				$out .= '<div class="dt-sc-team style2">';
				$out .= '	<div class="dt-sc-team-thumb">'.naturalspa_wp_kses($image).'</div>';
				$out .= '	<div class="dt-sc-team-details">';
				$out .= '		<h4><a href="'.esc_url($permalink).'" title="'.esc_html($title).'">'.esc_html($title).'</a><span>'.$postfix.'</span></h4>';
				$out .= '		<h5>'.esc_html($departments).'</h5>';
				$out .= 		$social;
				$out .= '		<a class="view-details" href="'.esc_url($permalink).'" title="'.esc_html($title).'">'.esc_html__('View Details', 'designthemes-doctor').'</a>';
				$out .= '	</div>';
				$out .= '</div>';
			}
		}
		
		return $out;
	}

	function dt_sc_current_doctor_meta( $attrs, $content = null ) {
		extract ( shortcode_atts ( array (
			'id' => '',
			'class' => '',
		), $attrs ) );

		if( empty($id) ) {
			global $post;
			$id =  $post->ID;
		}

		$p = get_post( $id );

		if( $p->post_type === "dt_doctors" ) {

			$out = '';
			$settings = get_post_meta ( $id, '_custom_settings', TRUE );
			$settings = is_array ( $settings ) ? $settings : array ();

			if( array_key_exists('doctor_opt_flds', $settings) ) {

				$out .= '<ul class="dt-sc-doctors-single-meta">';
					for($i = 1; $i <= (sizeof($settings['doctor_opt_flds']) / 2); $i++){

						$title = $settings['doctor_opt_flds']['doctor_opt_flds_title_'.$i];
						$value = $settings['doctor_opt_flds']['doctor_opt_flds_value_'.$i];

						if( filter_var($value ,FILTER_VALIDATE_URL) ){
							$value = "<a href='".esc_url($value)."'>".esc_html($value)."</a>";
						} elseif( is_email($value) ){
							$email = sanitize_email($value);
							$value = "<a href='mailto:".antispambot($email,1)."'>".antispambot($value)."</a>";
						}

						if( !empty($value) ) {
							$out .= '<li> <span>'.esc_html($title).'</span><p>'.naturalspa_wp_kses($value).'</p></li>';
						}
					}
				$out .= '</ul>';
			}

			return $out;
		}
	}

	function dt_sc_query_doctors( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'query' => '',
			'column' =>	'',
			'type'	=>	'',
			'class' => '',
		), $attrs ) );

		$columnclass = $out = '';

		switch( $column ) {

			case '2':
				$columnclass = 'column dt-sc-one-half';
			break;

			case '3':
				$columnclass = 'column dt-sc-one-third';
			break;

			case '4':
				$columnclass = 'column dt-sc-one-fourth';
			break;

			case '5':
				$columnclass = 'column dt-sc-one-fifth';
			break;

			case '6':
				$columnclass = 'column dt-sc-one-sixth';
			break;			
		}

		if( empty($query) || $query == 'recent' ) {
			$args = array( 'post_type'=>'dt_doctors', 'posts_per_page'=>$column, 'post_status'=>'publish', 'orderby'=>'date' );
		} elseif( $query == 'random' ) {
			$args = array( 'post_type'=>'dt_doctors', 'posts_per_page'=>$column, 'post_status'=>'publish', 'orderby'=>'rand' );
		}

		$the_query = new WP_Query( $args );
		if( $the_query->have_posts() ) {
			$i = 1;
			$out .= "<div class='".esc_attr($class)."'>";
			while ( $the_query->have_posts() ) {

				$the_query->the_post();
				$the_id = get_the_id();

				$temp_class = $columnclass;

				if($i == 1){
					$temp_class .= " first";
				}

				if($i == $column) $i = 1; else $i = $i + 1;

				$out .= '<div class="'.esc_attr($temp_class).'">';
				$sc   = '[dt_sc_doctor_item id="'.$the_id.'" type="'.$type.'" class="'.$class.'"/]';
				$out .= do_shortcode($sc);
				$out .= '</div>';
			}
			wp_reset_postdata();
			$out .= "</div>";
			return $out;
		}
	}

	function dt_sc_doctors_with_filter( $attrs, $content = null ){

		extract ( shortcode_atts ( array (
			'column' =>	'',
		), $attrs ) );

		$columnclass = '';

		switch( $column ) {

			case '1':
				$columnclass = 'column dt-sc-one-column';
			break;

			case '2':
				$columnclass = 'column dt-sc-one-half';
			break;

			case '3':
				$columnclass = 'column dt-sc-one-third';
			break;
		}

		$out  = '<div class="dt-sc-doctors-filter">';
		$out .= '	<div class="column dt-sc-one-fourth first">';
		$out .= '		<div class="selection-box">';
		$out .= '			<select name="department-filter">';
		$out .= '				<option value="0">'.esc_html__('All','designthemes-doctor').'</option>';
								$terms = get_terms('doctor_departments', array( 'fields' => 'id=>name'));
								foreach ( $terms as $id => $term ) {
									$out .= '<option value="'.esc_attr($id).'">'.esc_html($term).'</option>';
								}
		$out .= '			</select>';
		$out .= '		</div>';
		$out .= '	</div>';
		$out .='	<div class="column dt-sc-three-fourth">';
		$out .= '		<div class="dt-sc-doctors-sorting">';
							$out .= '<a href="#"> * </a>';
							$alphabets = array( esc_html__('A','designthemes-doctor'), esc_html__('B','designthemes-doctor'), esc_html__('C','designthemes-doctor'), esc_html__('D','designthemes-doctor'), esc_html__('E','designthemes-doctor'),
								esc_html__('F','designthemes-doctor'), esc_html__('G','designthemes-doctor'), esc_html__('H','designthemes-doctor'), esc_html__('I','designthemes-doctor'), esc_html__('J','designthemes-doctor'),
								esc_html__('K','designthemes-doctor'), esc_html__('L','designthemes-doctor'), esc_html__('M','designthemes-doctor'), esc_html__('N','designthemes-doctor'), esc_html__('O','designthemes-doctor'),
								esc_html__('P','designthemes-doctor'), esc_html__('Q','designthemes-doctor'), esc_html__('R','designthemes-doctor'), esc_html__('S','designthemes-doctor'), esc_html__('T','designthemes-doctor'),
								esc_html__('U','designthemes-doctor'), esc_html__('V','designthemes-doctor'), esc_html__('W','designthemes-doctor'), esc_html__('X','designthemes-doctor'), esc_html__('Y','designthemes-doctor'),
								esc_html__('Z','designthemes-doctor') );
							foreach( $alphabets as $key => $alphabet ) {
								$class = ( $key == 0 ) ? ' class="active-sort" ':'';
								$out .= '<a href="#" '.$class.'>'.$alphabet.'</a>';
							}
		$out .= '		</div>';
		$out .= '	</div>';
		$out .= '</div>';
		$out .= '<div class="dt-sc-doctors-container" data-column="'.esc_attr($column).'">';

					$wp_query = new WP_Query();

					$doctors = array(
						'post_type'=>'dt_doctors',
						'posts_per_page'=>'-1',
						'suppress_filters' => false,
						'order_by'=> 'published');

					$doctors['search_doctor_title'] = esc_html__('A','designthemes-doctor');
					add_filter( 'posts_where', array( $this, 'doctor_title_filter' ), 10, 2 );


					$wp_query->query( $doctors );

					if( $wp_query->have_posts() ) {

						$i = 1;

						while( $wp_query->have_posts() ) {

							$wp_query->the_post();
							$the_id = get_the_ID();

							$temp_class = $columnclass;
							if($i == 1){
								$temp_class .= " first";
							}

							if($i == $column) $i = 1; else $i = $i + 1;


							$out .= '<div class="'.esc_attr($temp_class).'">';
							$sc   = '[dt_sc_doctor_item id="'.$the_id.'" type=""/]';
							$out .= do_shortcode($sc);
							$out .= '</div>';
						}
						wp_reset_postdata();
					} else {
						$out .= '<div class="column dt-sc-one-column">';
						$out .= '<h2>'.esc_html__("Nothing Found.", "designthemes-doctor").'</h2>';
						$out .= '<p>'.esc_html__("Apologies, but no results were found for the request.", "designthemes-doctor").'</p>';
						$out .= '</div>';
					}
		$out .= '</div>';

		return $out;
	}

	function doctor_title_filter( $where, &$wp_query ){

		global $wpdb;
		if ( $search_term = $wp_query->get( 'search_doctor_title' ) ) {						
			$where .= ' AND ' . $wpdb->posts . '.post_title LIKE \''. esc_sql( $wpdb->esc_like( $search_term ) ) . '%\'';
		}

		return $where;
    }

    /* Ajax call */
    function dt_sc_filter_doctors() {

    	$out = $columnclass = '';

    	$data = $_REQUEST['data'];
    	$data = array_filter($data);

    	$column = array_key_exists( 'column', $data ) ? $data['column'] : '2';
    	switch( $column ) {

			case '1':
				$columnclass = 'column dt-sc-one-column';
			break;

			case '2':
				$columnclass = 'column dt-sc-one-half';
			break;

			case '3':
				$columnclass = 'column dt-sc-one-third';
			break;
		}


    	$wp_query = new WP_Query();
   		$doctors = array(
   			'post_type'=>'dt_doctors',
   			'posts_per_page'=>'-1',
   			'suppress_filters' => false,
   			'order_by'=> 'published');

    	if( array_key_exists('tax', $data ) ) {

    		$doctors['tax_query'][] = array( 'taxonomy' => 'doctor_departments',
    			'field' => 'term_id',
    			'terms' => (int) $data['tax'],
    			'operator' => 'IN');
    	}

    	if( array_key_exists('title', $data ) && ( trim($data['title']) !== '*' ) ) {

    		$doctors['search_doctor_title'] = $data['title'];
    		add_filter( 'posts_where', array( $this, 'doctor_title_filter' ), 10, 2 );
    	}

    	$wp_query->query( $doctors );
    	if( $wp_query->have_posts() ) {

    		$i = 1;

   			while( $wp_query->have_posts() ) {

   				$wp_query->the_post();
   				$the_id = get_the_ID();

   				$temp_class = $columnclass;
   				if($i == 1) {
   					$temp_class .= " first";
				}

				if($i == $column) $i = 1; else $i = $i + 1;
				$out .= '<div class="'.esc_attr($temp_class).'">';
   				$sc   = '[dt_sc_doctor_item id="'.$the_id.'" type=""/]';
   				$out .= do_shortcode($sc);
   				$out .= '</div>';
			}
			wp_reset_postdata();
    	} else {
    		$out .= '<div class="column dt-sc-one-column">';
    		$out .= '<h2>'.esc_html__("Nothing Found.", "designthemes-doctor").'</h2>';
    		$out .= '<p>'.esc_html__("Apologies, but no results were found for the request.", "designthemes-doctor").'</p>';
    		$out .= '</div>';
    	}

    	echo $out;
    	die();
    }

    /* Doctors Carousel */
	function dt_sc_doctors_carousel( $attrs, $content = null ){
		extract ( shortcode_atts ( array (
			'query' => '',
			'limit' => '',
			'class' => ''
		), $attrs ) );
	
		$out = '';
		if( empty($query) || $query == 'recent' ) {
			$args = array( 'post_type'=>'dt_doctors', 'posts_per_page'=>$limit, 'post_status'=>'publish', 'orderby'=>'date' );
		} elseif( $query == 'random' ) {
			$args = array( 'post_type'=>'dt_doctors', 'posts_per_page'=>$limit, 'post_status'=>'publish', 'orderby'=>'rand' );
		}

		$the_query = new WP_Query( $args );
		if( $the_query->have_posts() ) {
			$out .= "<ul class='dt-sc-team-carousel ".esc_attr($class)."'>";
			while ( $the_query->have_posts() ) {

				$the_query->the_post();
				$the_id = get_the_id();
				$settings = get_post_meta ( $the_id, '_custom_settings', TRUE );
				$settings = is_array ( $settings ) ? $settings : array ();

				$out .= '<li>';
					$out .= '<div class="dt-sc-one-half column first">';
						$out .= '<div class="dt-sc-team-details">';
							$out .= '<h4>'.get_the_title().'</h4>';
	
							if(array_key_exists('postfix', $settings)):
								$out .= '<h5>'.esc_html($settings["postfix"]).'</h5>';
							endif;
	
							$out .= array_key_exists("summary",$settings) ? '<p>'.$settings['summary'].'</p>' : '';
	
							$social = array_key_exists("social",$settings) ? $settings['social'] : '';
							$out .= do_shortcode($social);
	
							$prefix = array_key_exists("prefix",$settings) ? $settings['prefix'] : '';
	
							$out .= '<a href="'.get_permalink($the_id).'" title="'.get_the_title().'" class="dt-sc-button large filled">'.esc_html__('Meet', 'designthemes-doctor').' '.$prefix.' '.get_the_title().'</a>';
						$out .= '</div>';
					$out .= '</div>';
					$out .= '<div class="dt-sc-one-half column">';
						$out .= '<div class="dt-sc-team-thumb">';
							if(has_post_thumbnail()):
								$attr = array('title' => get_the_title(), 'alt' => get_the_title());
								$out .= get_the_post_thumbnail($the_id, 'full', $attr);
							endif;
						$out .= '</div>';
					$out .= '</div>';
				$out .= '</li>';	
			}
			wp_reset_postdata();
			$out .= "</ul>";
			
			$out .= '<div class="dt-sc-team-navigation">';
				$out .= '<div class="dt-sc-team-pager-prev"> Prev </div>';
				$out .= '<div class="dt-sc-team-pager-next"> Next </div>';
			$out .= '</div>';

			$out = '<div class="dt-sc-team-carousel-wrapper">'.$out.'</div>';

			return $out;
		}
	}

    /* Appointments */	
	function dt_sc_reserve_appointment($attrs, $content = null) {
		
		extract(shortcode_atts(array( 
			'serviceids' => '', 
			'staffids' => '', 
		), $attrs)); 
		
		$out = '';
		
		$url = naturalspa_get_page_permalink_by_its_template('tpl-reservation.php');
		$url = isset($url) ? $url : '';
		
		if($url != '') {
				
		$out = '<form class="dt-sc-reservation-form dt-appointment-form" name="reservation-schedule-form" method="post" action="'.$url.'">';
		$out .= '<p><label for="cli-name">'.__('Name', 'designthemes-doctor').'</label><input type="text" id="cli-name" name="cli-name" placeholder="'.__('Your Name','designthemes-doctor').'"></p>';
		$out .= '<p><label for="cli-email">'.__('Email Address', 'designthemes-doctor').'</label><input type="text" id="cli-email" name="cli-email"  placeholder="'.__('Your Email','designthemes-doctor').'"></p>';
		$out .= '<p><label for="cli-phone">'.__('Phone', 'designthemes-doctor').'</label><input type="text" id="cli-phone" name="cli-phone" placeholder="'.__('Your Phone','designthemes-doctor').'"></p>';
		$out .= '<p>
					<label for="services">'.__('Type of Service', 'designthemes-doctor').'</label>
					 <select name="services" id="services" class="dt-select-service">
					 	<option value="">'. __('Any Service','designthemes-doctor').'</option>';
						if($serviceids != '') {
							$serviceids_arr = explode(',', $serviceids);
							$cp_services = get_posts( array('post_type'=>'dt_services', 'posts_per_page'=>'-1', 'post__in' => $serviceids_arr, 'suppress_filters' => false ) );
						} else {
							$cp_services = get_posts( array('post_type'=>'dt_services', 'posts_per_page'=>'-1', 'suppress_filters' => false ) );
						}
						
						if( $cp_services ){
							foreach( $cp_services as $cp_service ){
								$id = $cp_service->ID; 
								$title = $cp_service->post_title;
								$out .= "<option value='{$id}'>{$title}</option>";
							}
						}
		$out .= '	 </select>
				 </p>';

		$out .= '<p><label for="staff">'.__('Staff', 'designthemes-doctor').'</label>
					<select name="staff" id="staff" class="dt-select-staff">
						<option value="">'.__('Any Staff','designthemes-doctor').'</option>';
						if($staffids != '') {
							$staffids_arr = explode(',', $staffids);
							$cp_staffs = get_posts( array('post_type'=>'dt_staffs', 'posts_per_page'=>'-1', 'post__in' => $staffids_arr ) );
						} else {
							$cp_staffs = get_posts( array('post_type'=>'dt_staffs', 'posts_per_page'=>'-1' ) );
						}
						
						if( $cp_staffs ){
							foreach( $cp_staffs as $cp_staff ){
								$id = $cp_staff->ID;
								$title = $cp_staff->post_title;
								$out .= '<option value="'.$id.'">'.$title.'</option>';
							}
						}
	    $out .= '	</select>
				 </p>';

        $out .='<p><label for="datepicker">'.__('Date', 'designthemes-doctor').'</label><span class="selection-box form-calender-icon"><input type="text" id="datepicker" name="date" placeholder="'.__('Select Date','designthemes-doctor').'"/></span></p>';

		$out .= '<div class="aligncenter">
					<button class="dt-sc-button medium show-time-shortcode with-gradient-bg" value="'.__('Show Time', 'designthemes-doctor').'" type="submit">'.__('See Availability', 'designthemes-doctor').'</button>
				</div>';

		$out .= '<input type="hidden" id="staffids" name="staffids" value="'.$staffids.'" />
				 <input type="hidden" id="serviceids" name="serviceids" value="'.$serviceids.'" />';


		$out .= '</form>';

		} else {
				$out .= '<div class="dt-sc-info-box">'.__('Please create Reservation template page in order to make this shortcode work properly!', 'designthemes-doctor').'</div>';		
		}
		
		return $out;		
	}

	/* Procedure List */
	function dt_sc_procedure_list($attrs, $content = null) {
		extract(shortcode_atts(array(
			'procedure_id' => '',
			'button_text' => esc_html__('View Procedure', 'designthemes-doctor'),
			'excerpt_length' => '20'
		), $attrs));

		$out = "";

		#Performing query...
		$args = array('post_type' => 'dt_procedure', 'p' => $procedure_id );

		$the_query = new WP_Query($args);
		if($the_query->have_posts()):

			while($the_query->have_posts()): $the_query->the_post();
				$PID = $procedure_id;

				$out .= '<div class="dt-sc-procedure-list">';
					$out .= '<div class="image">';
							if(has_post_thumbnail()):
								$attr = array('title' => get_the_title(), 'alt' => get_the_title());
								$out .= get_the_post_thumbnail($PID, 'full', $attr);
							else:
								$out .= '<img src="http'.naturalspa_ssl().'://place-hold.it/500x351&text='.esc_attr(get_the_title()).'" alt="'.esc_attr(get_the_title()).'" title="'.esc_attr(get_the_title()).'"/>';
							endif;
					$out .= '</div>';
					$out .= '<div class="details"><h3><a href="'.esc_url(get_permalink()).'" title="'.esc_attr(get_the_title()).'">'.esc_html(get_the_title()).'</a></h3>'.naturalspa_excerpt($excerpt_length).'<a class="view" href="'.esc_url(get_permalink()).'" title="'.esc_attr(get_the_title()).'">'.esc_html($button_text).'</a></div>'; 
				$out .= '</div>';
			endwhile;
			wp_reset_postdata();
		else:
			$out .= '<h2>'.esc_html__("Nothing Found.", "designthemes-doctor").'</h2>';
			$out .= '<p>'.esc_html__("Apologies, but no results were found for the requested archive.", "designthemes-doctor").'</p>';
		endif;

		return $out;
	}

	/**
	 * procedures nav
	 * @return string
	 */
	function dt_sc_procedure_nav($attrs, $content = null) {
		extract( shortcode_atts( array(
			'navigations' => '',
			'el_class' => ''
		), $attrs ) );

		$out = '';
		$values = (array) vc_param_group_parse_atts( $navigations );
		
		if(!empty($values)) :
			$out .= '<ul class="dt-sc-vertical-nav '.$el_class.'">';
				foreach( $values as $value ) {
					$out .= '<li><a href="'.$value['link'].'">';
					if(!empty($value['icon'])):
						$out .= '<span class="'.$value['icon'].'"></span>';
					endif;
					$out .= $value['name'].'</a></li>';
				}
			$out .= '</ul>';
		endif;

		return $out;
	}	
}?>