<?php
add_action( 'vc_before_init', 'dt_sc_current_doctor_info_vc_map' );
function dt_sc_current_doctor_info_vc_map() {

	$plural_name    = esc_html__('Doctors', 'designthemes-doctor');
	if( function_exists( 'naturalspa_cs_get_option' ) ) :
		$plural_name	=	naturalspa_cs_get_option( 'plural-doctor-name', $plural_name );
	endif;

	vc_map( array(
		"name" => esc_html__("Doctor Info", "designthemes-doctor"),
		"base" => "dt_sc_current_doctor_info",
		"icon" => "dt_sc_current_doctor_info",
		"category" => $plural_name,
		'description' => esc_html__("Information of current doctor", "designthemes-doctor"),
		"params" => array(

			array(
				'type' => 'dropdown',
				'param_name' => 'type',
				'value' => array(
					esc_html__( 'Style 1', 'designthemes-doctor' ) => 'style-1',
					esc_html__( 'Style 2', 'designthemes-doctor' ) => 'style-2',
				),
      			'admin_label' => true,
				'heading' => esc_html__( 'Style', 'designthemes-doctor' ),
				'description' => esc_html__( 'Select single doctor display style.', 'designthemes-doctor' )				
			),

			array(
				'type' => 'vc_link',
				'heading' => esc_html__( 'URL', 'designthemes-doctor' ),
				'param_name' => 'link',
				'description' => esc_html__('Enter any link of this doctor.','designthemes-doctor')
			),

          	array(
          		'type' => 'textfield',
          		'heading' => esc_html__( 'Extra class name', 'designthemes-doctor' ),
          		'param_name' => 'class',
          		'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'designthemes-doctor' )
          	)
		)
	) );
}?>