<?php
add_action( 'vc_before_init', 'dt_sc_doctors_carousel_vc_map' );
function dt_sc_doctors_carousel_vc_map() {

	$plural_name    = esc_html__('Doctors', 'designthemes-doctor');
	if( function_exists( 'naturalspa_cs_get_option' ) ) :
		$plural_name	=	naturalspa_cs_get_option( 'plural-doctor-name', $plural_name );
	endif;

	vc_map( array(
		"name" => esc_html__("Doctors Carousel", "designthemes-doctor"),
		"base" => "dt_sc_doctors_carousel",
		"icon" => "dt_sc_doctors_carousel",
		"category" => $plural_name,
		'description' => esc_html__("To show doctors carousel.", "designthemes-doctor"),
		"params" => array(

			array(
				'type' => 'dropdown',
				'param_name' => 'query',
				'value' => array(
					esc_html__('Recent','designthemes-doctor') => 'recent',
					esc_html__('Random','designthemes-doctor') => 'random',
				),
				'std' => 'recent',
				'heading' => esc_html__( 'Recent / Random', 'designthemes-doctor' ),
      			'admin_label' => true,
				'description' => esc_html__( 'Select Recent or Random doctor display.', 'designthemes-doctor' )
			),

      		array(
      			"type" => "textfield",
      			"heading" => esc_html__( "Limit", "designthemes-doctor" ),
      			"param_name" => "limit",
      			"value" => -1,
				'description' => esc_html__( 'Enter number of doctors to display.', 'designthemes-doctor' ),
      		),

          	array(
          		'type' => 'textfield',
          		'heading' => esc_html__( 'Extra class name', 'designthemes-doctor' ),
          		'param_name' => 'class',
          		'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'designthemes-doctor' )
          	)
		)
	) );
}?>