<?php add_action( 'vc_before_init', 'dt_sc_procedure_nav_vc_map' );
function dt_sc_procedure_nav_vc_map() {
	
	$plural_name    = esc_html__('Procedures', 'designthemes-doctor');
	if( function_exists( 'naturalspa_cs_get_option' ) ) :
		$plural_name	=	naturalspa_cs_get_option( 'plural-doctor-name', $plural_name );
	endif;
	
	vc_map( array(
		'name' => __( 'Single Procedure Nav', 'designthemes-doctor' ),
		'base' => 'dt_sc_procedure_nav',
		'icon' => 'dt_sc_procedure_nav',
		"category" => $plural_name,
		'description' => __( 'Vertical navigation for single procedure.', 'designthemes-doctor' ),
		'params' => array(
			array(
				'type' => 'param_group',
				'heading' => __( 'Navigaion', 'designthemes-doctor' ),
				'param_name' => 'navigations',
				'description' => __( 'Enter navigation for procedure.', 'designthemes-doctor' ),
				'params' => array(
					array(
						'type' => 'textfield',
						'heading' => __( 'Name', 'designthemes-doctor' ),
						'param_name' => 'name',
						'description' => __( 'Enter the name of navigation.', 'designthemes-doctor' ),
						'admin_label' => true,
					),
					array(
						'type' => 'textfield',
						'heading' => __( 'Link', 'designthemes-doctor' ),
						'param_name' => 'link',
						'description' => __( 'Enter the link of navigation.', 'designthemes-doctor' ),
					),
					array(
						'type' => 'textfield',
						'heading' => __( 'Icon Class', 'designthemes-doctor' ),
						'param_name' => 'icon',
						'description' => __( 'Enter the icon class of navigation.', 'designthemes-doctor' ),
					),
				),
			),

			array(
				'type' => 'textfield',
				'heading' => __( 'Extra class name', 'designthemes-doctor' ),
				'param_name' => 'el_class',
				'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'designthemes-doctor' ),
			),
		),
	));	
}